liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::Note Struct Reference

`#include <OriginObj.h>`

Inheritance diagram for Origin::Note:

## Public Member Functions
| Note (const string &_name="")
Public Member Functions inherited from Origin::Window
| Window (const string &_name="", const string &_label="", bool _hidden=false)

## Public Attributes
string | text
Public Attributes inherited from Origin::Window
time_t | creationDate
Rect | frameRect
bool | hidden
string | label
time_t | modificationDate
string | name
int | objectID
State | state
Title | title

## Additional Inherited Members
Public Types inherited from Origin::Window
enum | State { Normal , Minimized , Maximized }
enum | Title { Name , Label , Both }

## Constructor & Destructor Documentation

## ◆ Note()

Origin::Note::Note | ( | const string & | _name = `""` | ) |
| inline

## Member Data Documentation

## ◆ text

string Origin::Note::text

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h